<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="zh-CN" />
<link href="../style/css/manual-zip.css" rel="stylesheet" media="all" type="text/css" title="Main stylesheet" />
<link href="../style/css/manual-zip-100pc.css" rel="alternate stylesheet" media="all" type="text/css" title="No Sidebar - Default font size" />
<link href="../style/css/manual-print.css" rel="stylesheet" media="print" type="text/css" />
<meta name="description" content="mod_authz_groupfile － Apache 2.2 中文手册 [金步国作品集]">
<title>mod_authz_groupfile － Apache 2.2 中文手册 [金步国]</title>
<script> var _hmt = _hmt || []; (function() { var hm = document.createElement("script"); hm.src = "https://hm.baidu.com/hm.js?2468a2c5d539e359902070bcd91865b1"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hm, s); })(); </script>
</head>
<body><div id="page-header">
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p><p class="apache">Apache HTTP Server 版本2.2</p><img alt="" src="../images/feather.gif" /></div>
<div class="up"><a href="./index.html"><img title="&lt;-" alt="&lt;-" src="../images/left.gif" /></a></div>
<div id="path"><a href="https://www.apache.org/">Apache</a> &gt; <a href="https://httpd.apache.org/">HTTP Server</a> &gt; <a href="https://httpd.apache.org/docs/">文档</a> &gt; <a href="../index.html">版本2.2</a> &gt; <a href="./index.html">模块</a></div>

<div id="translation-info">　　 <a href="../translator_announcement.html#thanks">致谢</a> | 本篇译者：<a href="https://www.jinbuguo.com/">金步国</a>(<a href="https://www.jinbuguo.com/">作品集</a>) | 本页最后更新：2006年10月20日</div>
<div id="page-content"><div id="preamble"><h1>Apache模块 mod_authz_groupfile</h1>

<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="module">
<tr><th><a href="module-dict.html#Description">说明</a></th><td>使用纯文本文件为组提供授权支持</td></tr>
<tr><th><a href="module-dict.html#Status">状态</a></th><td>基本(B)</td></tr>
<tr><th><a href="module-dict.html#ModuleIdentifier">模块名</a></th><td>authz_groupfile_module</td></tr>
<tr><th><a href="module-dict.html#SourceFile">源文件</a></th><td>mod_authz_groupfile.c</td></tr>
<tr><th><a href="module-dict.html#Compatibility">兼容性</a></th><td>仅在 Apache 2.1 及以后的版本中可用</td></tr>
</table>
<h3>概述</h3>

    <p>该模块可以根据经过认证的用户是否属于特定组来允许或拒绝访问受保护的区域。<code class="module"><a href="../mod/mod_authz_dbm.html">mod_authz_dbm</a></code>模块也提供了类似的功能。</p>
</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="AuthGroupFile" id="AuthGroupFile">AuthGroupFile</a> <a name="authgroupfile" id="authgroupfile">指令</a></h2>
<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="directive">
<tr><th><a href="directive-dict.html#Description">说明</a></th><td>设定一个包含用于执行用户认证的用户组列表的纯文本文件</td></tr>
<tr><th><a href="directive-dict.html#Syntax">语法</a></th><td><code>AuthGroupFile <var>file-path</var></code></td></tr>
<tr><th><a href="directive-dict.html#Context">作用域</a></th><td>directory, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Override">覆盖项</a></th><td>AuthConfig</td></tr>
<tr><th><a href="directive-dict.html#Status">状态</a></th><td>基本(B)</td></tr>
<tr><th><a href="directive-dict.html#Module">模块</a></th><td>mod_authz_groupfile</td></tr>
</table>
    <p><code class="directive">AuthGroupFile</code>指令设定一个文本文件的名称，这个纯文本文件包含用于执行用户认证的用户组列表。<var>File-path</var>是存放用户组列表文件的路径。如果不是绝对路径，则是相对于<code class="directive"><a href="../mod/core.html#serverroot">ServerRoot</a></code>的相对路径。</p>

    <p>这个用户组列表文件每行包含一个用户组名称，后跟一个冒号，再跟该组用户的用户名称，用户名之间以空格分隔。</p>

    <div class="example"><h3>示例：</h3><p><code>
      mygroup: bob joe anne
    </code></p></div>

    <p>注意：搜索很大的文本文件是<em>非常慢</em>的；<code class="directive"><a href="../mod/mod_authz_dbm.html#authdbmgroupfile">AuthDBMGroupFile</a></code>提供了更出色的性能。</p>

    <div class="warning"><h3>安全</h3>
      <p>必须确保<code class="directive">AuthGroupFile</code>文件存放在WEB服务器所在目录之外，千万<em>不要</em>放在它所保护的目录中，否则可能会被客户端下载。</p>
    </div>

</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="AuthzGroupFileAuthoritative" id="AuthzGroupFileAuthoritative">AuthzGroupFileAuthoritative</a> <a name="authzgroupfileauthoritative" id="authzgroupfileauthoritative">指令</a></h2>
<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="directive">
<tr><th><a href="directive-dict.html#Description">说明</a></th><td>指定是否将授权操作交由更底层的模块来处理</td></tr>
<tr><th><a href="directive-dict.html#Syntax">语法</a></th><td><code>AuthzGroupFileAuthoritative On|Off</code></td></tr>
<tr><th><a href="directive-dict.html#Default">默认值</a></th><td><code>AuthzGroupFileAuthoritative On</code></td></tr>
<tr><th><a href="directive-dict.html#Context">作用域</a></th><td>directory, .htaccess</td></tr>
<tr><th><a href="directive-dict.html#Override">覆盖项</a></th><td>AuthConfig</td></tr>
<tr><th><a href="directive-dict.html#Status">状态</a></th><td>基本(B)</td></tr>
<tr><th><a href="directive-dict.html#Module">模块</a></th><td>mod_authz_groupfile</td></tr>
</table>
    <p>如果将<code class="directive">AuthzGroupFileAuthoritative</code>明确设置为 <code>Off</code> ，那么将允许在所提供的userID(用户名)<strong>无法匹配任何一个组</strong>的情况下，将授权操作交由更底层的(在<code>modules.c</code>文件中定义的)模块来处理。</p>

    <p>默认情况下，不会传递控制权，而是返回一个要求认证的应答。这样做是为了保持系统更加安全并且符合NCSA要求的标准。</p>

    <div class="warning"><h3>安全</h3>
      <p>务必仔细查看是否允许你的用户在<code>.htaccess</code>文件中修改这个指令，并确认这的确是你想要的。仅仅看管一个<code>.htpasswd</code>文件很容易，但是看管一大堆文件却很困难。</p>
    </div>

</div>
</div>
<div id="footer">
<p class="apache">本文允许自由的转载、引用、再分发，但必须保留译者署名并注明出处；详见：<a href="../translator_announcement.html#announcement">版权声明</a>。</p>
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p></div>
</body></html>
